For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
User GuideDeveloper GuidesAPI Reference
User GuideDeveloper GuidesAPI Reference
    • Overview
  • Runtype API
      • GETList skills
      • POSTCreate a skill
      • POSTBind a skill to an agent
      • GETList an agent's skill bindings
      • DELUnbind a skill from an agent
      • POSTImport a SKILL.md
      • POSTPropose a skill (deployed-agent data plane)
      • GETGet a skill
      • PUTAppend a new skill version
      • DELDelete a skill
      • GETList a skill's versions
      • POSTPublish a skill version
Dashboard
LogoLogo
Runtype APISkills

List an agent's skill bindings

GET
/v1/skills/bindings
GET
/v1/skills/bindings
$curl -G https://api.runtype.com/v1/skills/bindings \
> -H "Authorization: <apiKey>" \
> -H "Content-Type: application/json" \
> -d agentId=agent_12345abcde
1{
2 "data": [
3 {
4 "skillId": "skill_98765xyz",
5 "bindingName": "default",
6 "enabled": true,
7 "configuration": {
8 "apiKey": "sk_live_4f3b2a1c",
9 "endpoint": "https://api.example.com/skill"
10 }
11 }
12 ]
13}
Was this page helpful?
Previous

Unbind a skill from an agent

Next
Built with

Authentication

AuthorizationBearer
API key or Clerk session token

Query parameters

agentIdstringRequired

Response

Bindings
datalist of maps from strings to any

Errors

401
Unauthorized Error
403
Forbidden Error